<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Controller\PDFCredencialMantenimiento;

/**
 * Description of CredencialMantenimientoController
 *
 * @author Omar
 */
class CredencialMantenimientoController extends Controller {

    public function credencialAction(Request $request) {
        $nombre = $request->get('n');
        $apellidos = $request->get('a');
        $foto = $request->get('f');

        $datos = array(
//            ['RUBI', 'CORRALES AVILA', 't18.jpg', 'DOCENTE', 'PS', '', '', 'Sep 2019', 'Sep 2020'],
//            ['GEORGINA IVETTE', 'NIETO SANCHEZ', 't19.jpg', 'DOCENTE', 'PS', '', '', 'Sep 2019', 'Sep 2021'],
//            ['ALEXANDER', 'GARAY BRAVO', 't20.jpg', 'DOCENTE', 'PS', '', '', 'Sep 2019', 'Sep 2020'],
//            ['IGNACIO', 'PEREZ RUIZ', 'z1.jpg', 'DOCENTE', 'Z', '', '', 'Enero 2020', 'Enero 2021'],
//            ['ALEJANDRA', 'CORRAL HOMOBONO', 'z2.jpg', 'COORDINADORA DE CONTROL ESCOLAR', 'Z', '', '', 'Enero 2020', 'Enero 2021'],
            //['FELIX', 'CORTES PÉREZ', 'z3.jpg', 'TRABAJO SOCIAL', 'ALUMNO', '20011014', 'L', 'Enero 2020', 'Enero 2021'],
            //['ERICK BREHAYAN', 'MEDINA RODRIGUEZ', 'c2.jpg', 'DOCENTE', 'TC', '', '', 'Enero 2020', 'Enero 2021'],
//            ['REYNA', 'BAUTISTA CERVANTES', 'd1.jpg', 'DOCENTE', 'VB', '', '', 'Enero 2020', 'Enero 2021'],
//            ['MAIRA BEATRIZ', 'RESENDIZ FLORES', 'd2.jpg', 'DOCENTE', 'VB', '', '', 'Enero 2020', 'Enero 2021'],
//            ['CLAUDIA', 'ESPINO CORTES', 'v1.jpg', 'COORDINADORA ADMINSTRATIVA', 'VB', '', '', 'Enero 2020', 'Enero 2021'],
//            ['ALEJANDRO', 'ESPINOZA JARAMILLO', 'v2.jpg', 'SUBDIRECTOR DE PLANTEL', 'VB', '', '', 'Enero 2020', 'Enero 2021'],
//            ['BARBARA', 'GUADARRAMA GUADARRAMA', 'v3.jpg', 'DOCENTE', 'VB', '', '', 'Enero 2020', 'Enero 2021'],
//            ['ISRAEL', 'MANJARRES SANTANA', 'v4.jpg', 'DOCENTE', 'VB', '', '', 'Enero 2020', 'Enero 2021'],
            ['JAZMIN', 'DELGADO GUZMAN', 't1.jpg', 'DIRECTORA DE MERCADOTÉCNIA Y PUBLICIDAD', 'CORPORATIVO', '', '', 'Enero 2020', 'Enero 2021'],
        );

        $credencial = new PDFCredencialMantenimiento('P', 'mm', array(54, 86));
        $credencial->SetFont('Arial', '', 12);
        foreach ($datos as $key => $value) {
            $credencial->AddPage();
            //$credencial->Credencial($nombre, $apellido, $foto, $des, $pla, $mat, $niv, $pi, $pf)
            $credencial->Credencial($value[0], $value[1], $value[2], $value[3], $value[4], $value[5], $value[6], $value[7], $value[8]);
        }


        return new Response($credencial->Output('credencial.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
    }

    public function credencialSepAction(Request $request) {
        $nombre = $request->get('n');
        $apellidos = $request->get('a');
        $foto = $request->get('f');

        $datos = array(
            //['JESSICA LIZETH', 'SALGADO SANCHEZ', '1-1.jpg', 'SUPERVISOR DE EXAMEN'],
            //['ALEJANDRO', 'HUERTA CARBAJAL', '2-2.jpg', 'SUPERVISOR DE EXAMEN'],
            //['OFELIA', 'VILCHIS VELAZQUEZ', '3-3.jpg', 'SUPERVISOR DE EXAMEN']
            //['CYNTHIA BEATRIZ', 'VELAZQUEZ LOPEZ', '4-4.jpg', 'SUPERVISOR DE EXAMEN'],
            ['ALEJANDRA', 'CORRAL HOMOBONO', '5-5.jpg', 'SUPERVISOR DE EXAMEN'],
        );

        $credencial = new PDFCredencialMantenimiento('P', 'mm', array(54, 86));
        $credencial->SetFont('Arial', '', 12);
        foreach ($datos as $key => $value) {
            $credencial->AddPage();
            $credencial->CredencialSep($value[0], $value[1], $value[2], $value[3]);
        }


        return new Response($credencial->Output('credencialSep.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
    }

}
